# Code to accompany the paper "Evaluating measurement invariance in categorical data latent variable models with the EPC-interest"

* Author: DL Oberski (daniel.oberski@gmail.com)
* Date: 2015-07-01
* License for this archive: CC BY-SA (note that LG itself is commercial sofware)


## Summary

This archive contains data, R code, and Latent GOLD syntax that reproduce the simulation study and two applications discussed in the paper "Evaluating measurement invariance in categorical data latent variable models with the EPC-interest" by Oberski, Vermunt & Moors and published in Political Analysis. This README file is a Markdown document detailing the files found in the present archive.

## File list

Directory 	| File name 				| Short description
------------ | ------------- | ------------
. 			| README.md  				| This file (plaintext Markdown version)
. 			| README.html  				| This file (HTML version)
./Application-1 |   					| 
			|  DFactor-quadratic.lgs 	| Latent GOLD input for the "ideal point" model
						|  read_roll_call.R	| R code that takes data from the oc package and writes roll_call_sen90.dat
						|  roll_call_sen90.dat	| Data file containing Senators' votes in various 1990 US Senate roll calls.
./Application-2/data |   					| 
			|  covariates.tab 	| Posterior probability output from the LG analysis
						|  data1.dat.gz	| Posterior classification of classes with covariates, used by ../R/plot-covariates.R
						|  iso_3166_2_countries.csv	| Country name-ISO code database used for the plots
			|  WV6_Data_rdata_v_2014_06_04.rdata.gz	| World Values Study dataset as a gzipped R binary datafile
./Application-2/inputs |   					| 
			|  inglehart_wvs6_long_gdp.lgs	| Latent GOLD input for the multilevel latent class model.
						|  inglehart_wvs6_long_gdp.rsp	| WVS data file as used by Latent GOLD choice
						|  inglehart_wvs6_long.alt	| "alternatives" datafile as used by Latent GOLD choice
						|  inglehart_wvs6_long.set	| "choiceset" datafile as used by Latent GOLD choice
./Application-2/R |   					| 
				   |   	plot-covariates.R				| R code that generates plots and maps based on output from Latent GOLD
				   |data-handling.R| R code that takes the WVS data and generates the .rsp files that are analyzed by Latent GOLD (found in ../data directory)
				   |data-handling-functions.R| Convenience functions used by data-handling.R
./Simulation |   					| 
|lg_simulation.R| R code that calls Latent GOLD to run the simulation study
|results/res\_nobs\_delta| All raw simulation results (tab-separated)
|results_simulation_5648595823.rdata| Saved summaries (means, medians, sds) of the simulation study
				   |test_model.lgs| Latent GOLD syntax specifying the model to be run on each simulated dataset.
				   
